Declares a workflow (write-tier, self-audited, revisioned).
const url = 'https://example.com/v1/m/orchestration/workflows';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"description":"example","enabled":true,"name":"example","steps":[{"config":{"schedule_id":"example"},"depends_on":["example"],"kind":"schedule-fire","ref":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/m/orchestration/workflows \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "enabled": true, "name": "example", "steps": [ { "config": { "schedule_id": "example" }, "depends_on": [ "example" ], "kind": "schedule-fire", "ref": "example" } ] }'Declares a workflow (write-tier, self-audited, revisioned). The declaring principal is the accountable owner_actor.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ”Target tenant id; required when the principal can act in more than one tenant.
Request Body required
Section titled “Request Body required ”object
Must be non-empty; persistence byte-caps it.
The handler accepts an empty graph. Its configured step cap defaults to 50; refs must be unique, dependencies must exist, the graph must be acyclic, and fan-in/fan-out are capped at 8.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
Must identify an existing non-retired schedule.
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
After trimming it must be non-empty and is byte-capped to 200.
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
Must identify an existing notification route.
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
Keys and ordinals must be unique and at least one criterion must set required=true.
object
After trimming it must be non-empty and no longer than 512 bytes.
After trimming it must be non-empty and no longer than 256 bytes.
Work kind slug.
Must be a valid workspace identifier.
object
Keys and ordinals must be unique and at least one criterion must set required=true.
object
After trimming it must be non-empty and no longer than 512 bytes.
After trimming it must be non-empty and no longer than 256 bytes.
Work kind slug.
Must be a valid workspace identifier.
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
When require_ack is false or absent, channel_id, context, context_ref, and ack_deadline must all be empty.
object
object
After trimming it must be non-empty and no longer than 512 bytes.
not matching
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
After trimming it must be non-empty and no longer than 512 bytes.
not matching
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
After trimming it must be non-empty and no longer than 512 bytes.
not matching
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
Must be a valid channel identifier.
object
After trimming it must be non-empty and no longer than 512 bytes.
not matching
object
Must be a valid channel identifier.
object
After trimming it must be non-empty and no longer than 512 bytes.
not matching
not matching
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
Must parse as a canonical timestamp.
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
Must parse as a canonical timestamp.
Must be a valid channel identifier.
object
After trimming it must be non-empty and no longer than 512 bytes.
not matching
object
Must parse as a canonical timestamp.
Must be a valid channel identifier.
object
After trimming it must be non-empty and no longer than 512 bytes.
not matching
not matching
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
not matching
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
After trimming it must be non-empty and no longer than 2048 bytes.
not matching
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
Must be a valid binding identifier.
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
After trimming it must be non-empty and no longer than 512 bytes.
After trimming it must be non-empty and no longer than 512 bytes.
Must be a valid binding-spec identifier.
After trimming it must be non-empty and no longer than 128 bytes.
After trimming it must be non-empty and no longer than 64 bytes.
After trimming it must be non-empty and no longer than 512 bytes.
After trimming it must be non-empty and no longer than 512 bytes.
Must be a valid workspace identifier.
not matching
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
Must name the required upstream step.
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
Must name the required upstream step.
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
Unique within the workflow.
Config is strictly decoded, capped at 4096 JSON bytes, and canonicalized before storage.
object
object
After trimming it must be non-empty and no longer than 2048 bytes.
not matching
object
After trimming it must be non-empty and no longer than 2048 bytes.
not matching
not matching
Unique within the workflow.
Responses
Section titled “ Responses ”OK
object
Example generated
{}Bad request
object
Example generated
{}Unauthenticated
object
Example generated
{}Forbidden
object
Example generated
{}Not found
object
Example generated
{}Conflict / setup required
object
Example generated
{}Rate limited
object
Example generated
{}